﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for FixedDataSource
/// </summary>
public class FixedDataSource
{
    static List<string> list1 = new List<string>() { "Q", "W", "D", "C", "R", "A", "B",  "F", "T", "Z" };
    public FixedDataSource()
    {}

    public static DataTable GetDataTable()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("DropDownCategoryID");
        dt.Columns.Add("Name");

        for (int i = 0; i < list1.Count; i++)
        {
            var row = dt.NewRow();
            row.ItemArray = new object[] { i, list1[i] };
            dt.Rows.Add(row);
        }

        return dt;
    }
}