﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.Web.Configuration;

/// <summary>
/// Summary description for NorthwindDataSource
/// </summary>
public class NorthwindDataSource
{
    public static void AddCustomer(string CategoryName, string Description)
	{
        string query = "INSERT INTO Categories (CategoryName, Description)";
        query += " VALUES (@CategoryName, @Description)";

        SqlConnection connection = new SqlConnection(WebConfigurationManager.ConnectionStrings["CS1"].ToString());

        SqlCommand myCommand = new SqlCommand(query, connection);
        myCommand.Parameters.AddWithValue("@CategoryName", CategoryName);
        myCommand.Parameters.AddWithValue("@Description", Description);
        connection.Open();
        myCommand.ExecuteNonQuery();
        connection.Close();
	}

    public static void UpdateCustomer(int CategoryID, string CategoryName, string Description)
    {
        var row = FixedDataSource.GetDataTable().Select("ID=" + CategoryName);

        string query = "UPDATE Categories " +
                        string.Format("SET CategoryName='{0}', Description='{1}' ", row[0]["Name"], Description) +
                        " WHERE CategoryID=" + CategoryID;

        SqlConnection connection = new SqlConnection(WebConfigurationManager.ConnectionStrings["CS1"].ToString());

        SqlCommand myCommand = new SqlCommand(query, connection);
        myCommand.Parameters.AddWithValue("@CategoryID", CategoryID);
        myCommand.Parameters.AddWithValue("@CategoryName", CategoryName);
        myCommand.Parameters.AddWithValue("@Description", Description);
        connection.Open();
        myCommand.ExecuteNonQuery();
        connection.Close();
    }

    public static DataTable GetCustomerDataSource(int index)
	{
        string query = "SELECT CategoryID, CategoryID AS DropDownCategoryID, CategoryName, Description FROM Categories";

        DataTable allData = new DataTable();
        SqlConnection connection = new SqlConnection(WebConfigurationManager.ConnectionStrings["CS" + index].ToString());
        SqlCommand cmd = new SqlCommand(query, connection);        
 
        connection.Open();
        SqlDataAdapter adapter = new SqlDataAdapter(cmd);
        adapter.Fill(allData);
        connection.Close();

        return allData;
	}

    public static DataTable GetCustomerDataSource1()
    {
        return GetCustomerDataSource(1);
    }
}