﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Index.aspx.cs" Inherits="Index" %>

<%@ Register Assembly="Infragistics45.Web.v19.1, Version=19.1.20191.115, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.v19.1, Version=19.1.20191.115, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="http://code.jquery.com/ui/1.10.3/jquery-ui.min.js"></script>
    <script>
        function WDG_ColumnSorting(sender, eventArgs) {
            if (eventArgs.get_column().get_key() == "DropDownCategoryID") {
                var sortingBehav = sender.get_behaviors().get_sorting(),
                    sortColumn = sender.get_columns().get_columnFromKey("TextField1");

                eventArgs.set_cancel(true);
                sortingBehav.sortColumn(sortColumn, (sortColumn._sortDirection == 1) ? 2 : 1, true);
            }
        }

        function WDG_ColumnSorted(sender, eventArgs) {
            if (eventArgs.get_column().get_key() == "TextField1") {
                var sortIndicator = sender.get_columns().get_columnFromKey("TextField1")._get_sortIndicator();
                sender.get_columns().get_columnFromKey("DropDownCategoryID").get_header().get_element().appendChild(sortIndicator);
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
        </div>
        <ig:WebScriptManager ID="WebScriptManager2" runat="server"></ig:WebScriptManager>
        <ig:WebDataGrid ID="WDG1" runat="server" AutoGenerateColumns="False" Width="900px"
            DataSourceID="ObjectDataSource1">
            <Behaviors>
                <ig:Activation Enabled="true" />
                <ig:EditingCore>
                    <Behaviors>
                        <ig:CellEditing>
                        </ig:CellEditing>
                    </Behaviors>
                </ig:EditingCore>
                <ig:Sorting>
                    <SortingClientEvents ColumnSorting="WDG_ColumnSorting" ColumnSorted="WDG_ColumnSorted" />
                </ig:Sorting>
                <%--<ig:Filtering>
                </ig:Filtering>--%>
            </Behaviors>
            <EditorProviders>
                <ig:DropDownProvider ID="Dropdown1">
                    <EditorControl runat="server" Width="100%" DropDownContainerWidth="100%" OnDataBound="Unnamed_DataBound"
                        ValueField="DropDownCategoryID" TextField="Name">
<DropDownItemBinding TextField="Name" ValueField="DropDownCategoryID"></DropDownItemBinding>
                    </EditorControl>
                </ig:DropDownProvider>
            </EditorProviders>
        </ig:WebDataGrid>
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" InsertMethod="AddCustomer" UpdateMethod="UpdateCustomer"
            SelectMethod="GetCustomerDataSource1" TypeName="NorthwindDataSource">
            <InsertParameters>
                <asp:Parameter Name="CategoryName" Type="String" />
                <asp:Parameter Name="Description" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="CategoryID" Type="Int32" />
                <asp:Parameter Name="CategoryName" Type="String" />
                <asp:Parameter Name="Description" Type="String" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </form>
</body>
</html>
