﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Index" %>

<%@ Register Assembly="Infragistics45.Web.v19.1, Version=19.1.20191.115, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics45.Web.v19.1, Version=19.1.20191.115, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="http://code.jquery.com/ui/1.10.3/jquery-ui.min.js"></script>
    <script>
        var cancelFiltering = true;

        function WDG_ColumnSorting(sender, eventArgs) {
            if (eventArgs.get_column().get_key() == "DropDownCategoryID") {
                var sortingBehav = sender.get_behaviors().get_sorting(),
                    sortColumn = sender.get_columns().get_columnFromKey("TextField1");

                eventArgs.set_cancel(true);
                sortingBehav.sortColumn(sortColumn, (sortColumn._sortDirection == 1) ? 2 : 1, true);
            }
        }

        function WDG_ColumnSorted(sender, eventArgs) {
            if (eventArgs.get_column().get_key() == "TextField1") {
                var sortIndicator = sender.get_columns().get_columnFromKey("TextField1")._get_sortIndicator();
                sender.get_columns().get_columnFromKey("DropDownCategoryID").get_header().get_element().appendChild(sortIndicator);
            }
        }

        function WDG_FilterDropdownDisplaying(sender, eventArgs) {
            var hiddenFilterDropDown;

            if (sender._targetContainer.id.indexOf("DropDownCategoryID") > 1) {
                eventArgs.set_cancel(true);
                $(".igg_FilterRow button:first").click();
                hiddenFilterDropDown = $("#WDG1_TextRuleDropDown_TextField1");
                hiddenFilterDropDown.css({
                    "top": $(sender._sourceElement).position().top + $(sender._sourceElement).height(),
                    "left": $(sender._sourceElement).position().left,
                    "margin-top": 0,
                    "margin-left": 0
                });
            }
        }

        function WDG_FilterDropdownHiding(sender, eventArgs) {

        }
        function WDG_DataFiltering(sender, eventArgs) {
            if (cancelFiltering) {
                eventArgs.set_cancel(true);
                cancelFiltering = false;
                var filtering = ig_controls.WDG1.get_behaviors().get_filtering()
                var newFilter = filtering.create_columnFilter("TextField1");
                newFilter.get_condition().set_value($(".igg_FilterRow input:last").val());
                newFilter.get_condition().set_rule(filtering.get_columnFilter(0).get_condition().get_rule());
                filtering.add_columnFilter(newFilter);
                filtering.applyFilters();
            }
        }

        function wdg_EnteredEditMode(sender, eventArgs) {
            var filtering = ig_controls.WDG1.get_behaviors().get_filtering();
            var filter = filtering.get_columnFilter(0);
            var rule = filter.get_condition().get_rule();

            var lastSpan = $(".igg_FilterRow span:last");

            lastSpan.parent()[0].appendChild($("#WDG1_ed0 input")[0]);
            setTimeout(function () {
                $(".igg_EditCell").focus();
            }, 500);
        }
    </script>
    <style>
        /*.hidden{
            display:none;
        }

        th#WDG1_columnheader_0 {
            display:none;
        }*/
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <div>
        </div>
        <ig:WebScriptManager ID="WebScriptManager2" runat="server"></ig:WebScriptManager>
        <ig:WebDataGrid ID="WDG1" runat="server" AutoGenerateColumns="False" Width="900px"
            DataSourceID="ObjectDataSource1" DataKeyFields="CategoryID">
            <Behaviors>
                <ig:Activation Enabled="true" />
                <ig:EditingCore>
                    <Behaviors>
                        <ig:CellEditing>
                            <ColumnSettings>
                                <ig:EditingColumnSetting EditorID="Dropdown1" ColumnKey="DropDownCategoryID" />
                            </ColumnSettings>
                        </ig:CellEditing>
                    </Behaviors>
                </ig:EditingCore>
                <ig:Sorting>
                    <SortingClientEvents ColumnSorting="WDG_ColumnSorting" ColumnSorted="WDG_ColumnSorted" />
                </ig:Sorting>
                <ig:Filtering>
                    <FilteringClientEvents FilterDropdownDisplaying="WDG_FilterDropdownDisplaying" FilterDropdownHidden="WDG_FilterDropdownHiding" EnteredEditMode="wdg_EnteredEditMode" DataFiltering="WDG_DataFiltering" />
                    <ColumnFilters>
                        <ig:ColumnFilter ColumnKey="TextField1">
                        </ig:ColumnFilter>
                        <ig:ColumnFilter ColumnKey="DropDownCategoryID">
                        </ig:ColumnFilter>
                    </ColumnFilters>
                </ig:Filtering>
            </Behaviors>
            <Columns>
                <ig:UnboundField Header-Text="HiddenColumn" Key="TextField1" CssClass="hidden">
                    <Header Text="HiddenColumn"></Header>
                </ig:UnboundField>
                <ig:BoundDataField Header-Text="CategoryID" DataFieldName="CategoryID" Key="CategoryID">
                    <Header Text="CategoryID"></Header>
                </ig:BoundDataField>
                <ig:BoundDataField Header-Text="CategoryName" DataFieldName="CategoryName" Key="CategoryName">
                    <Header Text="CategoryName"></Header>
                </ig:BoundDataField>
                <ig:BoundDataField Header-Text="Description" DataFieldName="Description" Key="Description">
                    <Header Text="Description"></Header>
                </ig:BoundDataField>
                <ig:BoundDataField Header-Text="DropDownCategoryID" DataFieldName="DropDownCategoryID" Key="DropDownCategoryID">
                    <Header Text="DropDownCategoryID"></Header>
                </ig:BoundDataField>
            </Columns>
            <EditorProviders>
                <ig:DropDownProvider ID="Dropdown1">
                    <EditorControl runat="server" Width="100%" DropDownContainerWidth="100%" OnDataBound="Unnamed_DataBound"
                        ValueField="DropDownCategoryID" TextField="Name">
                        <DropDownItemBinding TextField="Name" ValueField="DropDownCategoryID"></DropDownItemBinding>
                    </EditorControl>
                </ig:DropDownProvider>
            </EditorProviders>
        </ig:WebDataGrid>
        <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" InsertMethod="AddCustomer" UpdateMethod="UpdateCustomer"
            SelectMethod="GetCustomerDataSource1" EnableCaching="false" TypeName="NorthwindDataSource">
            <InsertParameters>
                <asp:Parameter Name="CategoryName" Type="String" />
                <asp:Parameter Name="Description" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="CategoryID" Type="Int32" />
                <asp:Parameter Name="CategoryName" Type="String" />
                <asp:Parameter Name="Description" Type="String" />
            </UpdateParameters>
        </asp:ObjectDataSource>
    </form>
</body>
</html>
